SUSE SLES15 Security Update : bluez (SUSE-SU-2024:0166-1)

medium Nessus Plugin ID 189255

Language:

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The remote SUSE Linux SLES15 / SLES_SAP15 host has packages installed that are affected by multiple vulnerabilities as referenced in the SUSE-SU-2024:0166-1 advisory.

- BlueZ is a Bluetooth protocol stack for Linux. In affected versions a vulnerability exists in sdp_cstate_alloc_buf which allocates memory which will always be hung in the singly linked list of cstates and will not be freed. This will cause a memory leak over time. The data can be a very large object, which can be caused by an attacker continuously sending sdp packets and this may cause the service of the target device to crash. (CVE-2021-41229)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected bluez, bluez-devel and / or libbluetooth3 packages.

See Also

https://bugzilla.suse.com/1192760

https://bugzilla.suse.com/1218300

https://bugzilla.suse.com/1218301

http://www.nessus.org/u?e63742e3

https://www.suse.com/security/cve/CVE-2021-41229

https://www.suse.com/security/cve/CVE-2023-50229

https://www.suse.com/security/cve/CVE-2023-50230

Plugin Details

Severity: Medium

ID: 189255

File Name: suse_SU-2024-0166-1.nasl

Version: 1.0

Type: local

Agent: unix

Published: 1/20/2024

Updated: 1/20/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: Low

Base Score: 3.3

Temporal Score: 2.6

Vector: CVSS2#AV:A/AC:L/Au:N/C:N/I:N/A:P

CVSS Score Source: CVE-2021-41229

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.9

Vector: CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:bluez-devel, p-cpe:/a:novell:suse_linux:libbluetooth3, p-cpe:/a:novell:suse_linux:bluez, cpe:/o:novell:suse_linux:15

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 1/19/2024

Vulnerability Publication Date: 11/12/2021

Reference Information

CVE: CVE-2021-41229, CVE-2023-50229, CVE-2023-50230

SuSE: SUSE-SU-2024:0166-1